%define	major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define rel	3
%define pre	alpha6
 
Summary:	Conservative garbage collector for C
Name:		gc
Version:	7.2
Release:	%mkrel %{?pre:0.%{pre}.}%{rel}
License:	BSD
Group:		System/Libraries
URL:		http://www.hpl.hp.com/personal/Hans_Boehm/gc/
Source0:	http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/%{name}-%{version}%{?pre:%{pre}}.tar.gz
# fix trying to install two header files twice in the same install command (fixes build)
Patch0:		gc-duplicate-headers-install.patch
BuildRequires:	libatomic_ops-devel

%description
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.


%package -n %{libname}
Summary:	Conservative garbage collector for C
Group:		System/Libraries
Obsoletes:	%{name} < 7.1
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.


%package -n %{develname}
Summary:	Development files and documentation for Bohem's GC
Group:		Development/C
License: 	BSD
Obsoletes:	%{_lib}gc1-devel < 7.1
Obsoletes:	%{_lib}gc-static-devel < 7.2
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Header files and documentation needed to develop programs that use Bohem's GC

%prep
%setup -q -n %{name}-%{version}%{?pre}
%patch0 -p1

%build
autoreconf -vfi

# or else tkhtml3 won't build on x86-64. the clean way to do this is
# to patch it into the Makefile, but then it doesn't get used for
# mach_dep.lo, and I can't figure out why not - AdamW 2008/12
%ifarch x86_64
export CFLAGS="%{optflags} -fPIC"
%endif

# from Fedora: see http://bugzilla.redhat.com/689877
export CPPFLAGS="-DUSE_GET_STACKBASE_FOR_MAIN"

%configure2_5x \
	--disable-static \
	--enable-cplusplus \
	--enable-large-config \
%ifarch %{ix86}
	--enable-parallel-mark \
%endif
	--enable-threads=posix
        
%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_datadir}

install -m644 doc/gc.man -D %{buildroot}%{_mandir}/man3/gc.3

#we don't want these
find %{buildroot} -name "*.la" -delete

%check
make check

%files -n %{libname}
%doc README.QUICK
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc doc/*.html
%{_libdir}/*.so
%dir %{_includedir}/gc
%{_includedir}/%{name}/*
%{_includedir}/*h
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man?/*


%changelog

* Mon Feb 06 2012 kamil <kamil> 7.2-0.alpha6.3.mga2
+ Revision: 205435
- rebuild against libatomic_ops-7.3.0 alpha2
- clean .spec

* Sun Feb 05 2012 wally <wally> 7.2-0.alpha6.2.mga2
+ Revision: 204876
- sync build flags and configure options with Fedora

* Tue Dec 27 2011 wally <wally> 7.2-0.alpha6.1.mga2
+ Revision: 188199
- new version 7.2alpha6
- disable static build and drop .la files
- drop mips patch

* Thu Feb 10 2011 dmorgan <dmorgan> 7.1-7.mga1
+ Revision: 49769
- Remove mdv macros
- imported package gc


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 7.1-7mdv2011.0
+ Revision: 605440
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 7.1-6mdv2010.1
+ Revision: 522708
- rebuilt for 2010.1

* Thu Sep 24 2009 Olivier Blin <oblin@mandriva.com> 7.1-5mdv2010.0
+ Revision: 448322
- fix mips support, "nice" regression from 6.8 (from Arnaud Patard)

* Sat Jul 18 2009 Anssi Hannula <anssi@mandriva.org> 7.1-4mdv2010.0
+ Revision: 396975
- fix build failure due to duplicate headers in the same install command
  (duplicate-headers-install.patch, from Mika Laitio)

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 7.1-3mdv2009.1
+ Revision: 310348
- better comment
- build with -fPIC on x86-64 (tkhtml3 build fails without)

* Fri Sep 26 2008 Oden Eriksson <oeriksson@mandriva.com> 7.1-2mdv2009.0
+ Revision: 288616
- rebuild

* Fri Jul 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 7.1-1mdv2009.0
+ Revision: 231792
- rename
- update to new version 7.1
- new library policy
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0:6.8-2mdv2008.1
+ Revision: 150564
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu May 17 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0:6.8-1mdv2008.0
+ Revision: 27627
- Updated to 6.8.
- Minor identation fixes.

